com.microfocus.awm.core.internal

## Class AWMErrorFeedbackParser

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - com.microfocus.awm.core.internal.AWMErrorFeedbackParser

- All Implemented Interfaces:
    IErrorFeedbackParser, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class AWMErrorFeedbackParser
      extends org.xml.sax.helpers.DefaultHandler
      implements IErrorFeedbackParser

  Parses the error feedback xml file and creates a list of error feedback entries.
  Author:
    Christelle Biahmou

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AWMErrorFeedbackParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] pCh, int pStart, int pLength)`
    `void` | `endDocument()` Wird am Ende des Parsevorgangs automatisch aufgerufen.
    `void` | `endElement(java.lang.String pUri, java.lang.String pLocalName, java.lang.String pName)`
    `java.util.List<java.lang.String>` | `getCopyBooks()`
    `IErrorFeedbackFileContent` | `parseErrorFeedbackFile(FileDescriptor pFileDescr, IExecutionContext pContext)` Converts the an error feedback XML file into `IErrorFeedbackFileContent`.
    `void` | `setDocumentLocator(org.xml.sax.Locator pL)`
    `void` | `startDocument()` Wird beim Start des Parsevorgangs automatisch aufgerufen und nimmt Initialisierungen vor.
    `void` | `startElement(java.lang.String pUri, java.lang.String pLocalName, java.lang.String pName, org.xml.sax.Attributes pAttributes)`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AWMErrorFeedbackParser

          public AWMErrorFeedbackParser()

  - ### Method Detail

    - #### parseErrorFeedbackFile

          public IErrorFeedbackFileContent parseErrorFeedbackFile(FileDescriptor pFileDescr,
                                                                  IExecutionContext pContext)
                                                           throws java.io.IOException,
                                                                  TaurusException

      Description copied from interface: `IErrorFeedbackParser`
      Converts the an error feedback XML file into `IErrorFeedbackFileContent`.
      Specified by:
        `parseErrorFeedbackFile` in interface `IErrorFeedbackParser`
      Parameters:
        `pFileDescr` - the descriptor to the XML file
        `pContext` - the execution context
      Returns:
        the parsed error feedback content
      Throws:
        `java.io.IOException` - if reading the file fails
        `TaurusException` - if an exception occurs while parsing the file

    - #### getCopyBooks

          public java.util.List<java.lang.String> getCopyBooks()

      Returns:
        the copy books found in the error feedback xml file

    - #### startDocument

          public void startDocument()
                             throws org.xml.sax.SAXException

      Wird beim Start des Parsevorgangs automatisch aufgerufen und nimmt Initialisierungen vor.
      Specified by:
        `startDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startDocument` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`
      See Also:
        `DefaultHandler.startDocument()`

    - #### endDocument

          public void endDocument()
                           throws org.xml.sax.SAXException

      Wird am Ende des Parsevorgangs automatisch aufgerufen.
      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endDocument` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`
      See Also:
        `DefaultHandler.endDocument()`

    - #### setDocumentLocator

          public void setDocumentLocator(org.xml.sax.Locator pL)

      Specified by:
        `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `setDocumentLocator` in class `org.xml.sax.helpers.DefaultHandler`

    - #### startElement

          public void startElement(java.lang.String pUri,
                                   java.lang.String pLocalName,
                                   java.lang.String pName,
                                   org.xml.sax.Attributes pAttributes)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### characters

          public void characters(char[] pCh,
                                 int pStart,
                                 int pLength)
                          throws org.xml.sax.SAXException

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String pUri,
                                 java.lang.String pLocalName,
                                 java.lang.String pName)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

Copyright © 2015 Micro Focus GmbH. All rights reserved.